const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const staff_status = sequelize.define(
    'staff_status',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

name: {
        type: DataTypes.TEXT,

      },

css: {
        type: DataTypes.TEXT,

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  staff_status.associate = (db) => {

    db.staff_status.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.staff_status.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };

  return staff_status;
};

